Package org.lwjgl.opengl

# Class NVPathRendering

java.lang.Object
org.lwjgl.opengl.NVPathRendering

public final class NVPathRendering extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACCUM_ADJACENT_PAIRS_NV`
Accepted by the <pathListMode> parameter of GetPathSpacingNV:
`static final int`
`GL_ADJACENT_PAIRS_NV`
Accepted by the <pathListMode> parameter of GetPathSpacingNV:
`static final int`
`GL_AFFINE_2D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_AFFINE_3D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_BEVEL_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:
`static final int`
`GL_BOLD_BIT_NV`
Accepted by the <fontStyle> parameter of PathStringNV:
`static final int`
`GL_BOUNDING_BOX_NV`
Accepted by the <coverMode> parameter of CoverFillPathNV and CoverFillPathInstancedNV:
`static final int`
`GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV`
Accepted by the <coverMode> parameter of CoverFillPathInstancedNV:
`static final int`
`GL_CIRCULAR_CCW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_CIRCULAR_CW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_CIRCULAR_TANGENT_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_CLOSE_PATH_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_CONVEX_HULL_NV`
Accepted by the <coverMode> parameter of CoverFillPathNV and CoverFillPathInstancedNV:
`static final int`
`GL_COUNT_DOWN_NV`
Accepted by the <fillMode> parameter of StencilFillPathNV and StencilFillPathInstancedNV:
`static final int`
`GL_COUNT_UP_NV`
Accepted by the <fillMode> parameter of StencilFillPathNV and StencilFillPathInstancedNV:
`static final int`
`GL_CUBIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_FILE_NAME_NV`
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:
`static final int`
`GL_FIRST_TO_REST_NV`
Accepted by the <pathListMode> parameter of GetPathSpacingNV:
`static final int`
`GL_FONT_ASCENDER_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_DESCENDER_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_HAS_KERNING_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_HEIGHT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_MAX_ADVANCE_HEIGHT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_MAX_ADVANCE_WIDTH_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_UNDERLINE_POSITION_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_UNDERLINE_THICKNESS_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_UNITS_PER_EM_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_X_MAX_BOUNDS_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_X_MIN_BOUNDS_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_Y_MAX_BOUNDS_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_FONT_Y_MIN_BOUNDS_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_HAS_KERNING_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_HEIGHT_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_VERTICAL_BEARING_X_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_GLYPH_WIDTH_BIT_NV`
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:
`static final int`
`GL_HORIZONTAL_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_ITALIC_BIT_NV`
Accepted by the <fontStyle> parameter of PathStringNV:
`static final int`
`GL_LARGE_CCW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_LARGE_CW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_MITER_REVERT_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:
`static final int`
`GL_MITER_TRUNCATE_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:
`static final int`
`GL_MOVE_TO_CONTINUES_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_DASH_OFFSET_RESET_NV
`static final int`
`GL_MOVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_MOVE_TO_RESETS_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_DASH_OFFSET_RESET_NV
`static final int`
`GL_PATH_CLIENT_LENGTH_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_COMMAND_COUNT_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_COMPUTED_LENGTH_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_COORD_COUNT_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_COVER_DEPTH_FUNC_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_DASH_ARRAY_COUNT_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_DASH_CAPS_NV`
Accepted by the <pname> parameter of PathParameterfNV and PathParameterfvNV:
`static final int`
`GL_PATH_DASH_OFFSET_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_DASH_OFFSET_RESET_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_END_CAPS_NV`
Accepted by the <pname> parameter of PathParameterfNV and PathParameterfvNV:
`static final int`
`GL_PATH_ERROR_POSITION_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_FILL_BOUNDING_BOX_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_FILL_COVER_MODE_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_FILL_MASK_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_FILL_MODE_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_FOG_GEN_MODE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_FORMAT_PS_NV`
Accepted by the <format> parameter of PathStringNV:
`static final int`
`GL_PATH_FORMAT_SVG_NV`
Accepted by the <format> parameter of PathStringNV:
`static final int`
`GL_PATH_GEN_COEFF_NV`
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:
`static final int`
`GL_PATH_GEN_COLOR_FORMAT_NV`
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:
`static final int`
`GL_PATH_GEN_COMPONENTS_NV`
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:
`static final int`
`GL_PATH_GEN_MODE_NV`
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:
`static final int`
`GL_PATH_INITIAL_DASH_CAP_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_INITIAL_END_CAP_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_JOIN_STYLE_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_MITER_LIMIT_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_OBJECT_BOUNDING_BOX_NV`
Accepted by the <genMode> parameter of PathColorGenNV and PathTexGenNV:
`static final int`
`GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_STENCIL_FUNC_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_STENCIL_REF_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_STENCIL_VALUE_MASK_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PATH_STROKE_BOUNDING_BOX_NV`
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:
`static final int`
`GL_PATH_STROKE_COVER_MODE_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_STROKE_MASK_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_STROKE_WIDTH_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_TERMINAL_DASH_CAP_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PATH_TERMINAL_END_CAP_NV`
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:
`static final int`
`GL_PRIMARY_COLOR`
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:
`static final int`
`GL_PRIMARY_COLOR_NV`
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:
`static final int`
`GL_QUADRATIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_CUBIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_HORIZONTAL_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_LARGE_CCW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_LARGE_CW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_MOVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_QUADRATIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_SMALL_CCW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_SMALL_CW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_RELATIVE_VERTICAL_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_ROUND_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:
`static final int`
`GL_SECONDARY_COLOR_NV`
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:
`static final int`
`GL_SKIP_MISSING_GLYPH_NV`
Accepted by the <handleMissingGlyph> parameter of PathGlyphsNV and PathGlyphRangeNV:
`static final int`
`GL_SMALL_CCW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_SMALL_CW_ARC_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_SMOOTH_CUBIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_SMOOTH_QUADRATIC_CURVE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:
`static final int`
`GL_SQUARE_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:
`static final int`
`GL_STANDARD_FONT_NAME_NV`
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:
`static final int`
`GL_SYSTEM_FONT_NAME_NV`
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:
`static final int`
`GL_TRANSLATE_2D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRANSLATE_3D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRANSLATE_X_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRANSLATE_Y_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRANSPOSE_AFFINE_2D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRANSPOSE_AFFINE_3D_NV`
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:
`static final int`
`GL_TRIANGULAR_NV`
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:
`static final int`
`GL_USE_MISSING_GLYPH_NV`
Accepted by the <handleMissingGlyph> parameter of PathGlyphsNV and PathGlyphRangeNV:
`static final int`
`GL_UTF16_NV`
Accepted by the <type> or <pathNameType> parameter of CallLists, StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, CoverStrokePathInstancedNV, GetPathMetricsNV, and GetPathSpacingNV:
`static final int`
`GL_UTF8_NV`
Accepted by the <type> or <pathNameType> parameter of CallLists, StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, CoverStrokePathInstancedNV, GetPathMetricsNV, and GetPathSpacingNV:
`static final int`
`GL_VERTICAL_LINE_TO_NV`
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCopyPathNV(int resultPath, int srcPath)`
`static void`
`glCoverFillPathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int coverMode, int transformType, FloatBuffer transformValues)`
`static void`
`glCoverFillPathNV(int path, int coverMode)`
`static void`
`glCoverStrokePathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int coverMode, int transformType, FloatBuffer transformValues)`
`static void`
`glCoverStrokePathNV(int name, int coverMode)`
`static void`
`glDeletePathsNV(int path, int range)`
`static int`
`glGenPathsNV(int range)`
`static float`
`glGetPathColorGenfNV(int color, int pname)`
Overloads glGetPathColorGenfvNV.
`static int`
`glGetPathColorGeniNV(int color, int pname)`
Overloads glGetPathColorGenivNV.
`static void`
`glGetPathColorGenNV(int color, int pname, FloatBuffer value)`
`static void`
`glGetPathColorGenNV(int color, int pname, IntBuffer value)`
`static void`
`glGetPathCommandsNV(int name, ByteBuffer commands)`
`static void`
`glGetPathCoordsNV(int name, FloatBuffer coords)`
`static void`
`glGetPathDashArrayNV(int name, FloatBuffer dashArray)`
`static float`
`glGetPathLengthNV(int path, int startSegment, int numSegments)`
`static void`
`glGetPathMetricRangeNV(int metricQueryMask, int fistPathName, int numPaths, int stride, FloatBuffer metrics)`
`static void`
`glGetPathMetricsNV(int metricQueryMask, int pathNameType, ByteBuffer paths, int pathBase, int stride, FloatBuffer metrics)`
`static float`
`glGetPathParameterfNV(int name, int param)`
Overloads glGetPathParameterfvNV.
`static void`
`glGetPathParameterfvNV(int name, int param, FloatBuffer value)`
`static int`
`glGetPathParameteriNV(int name, int param)`
Overloads glGetPathParameterivNV.
`static void`
`glGetPathParameterNV(int name, int param, IntBuffer value)`
`static void`
`glGetPathSpacingNV(int pathListMode, int pathNameType, ByteBuffer paths, int pathBase, float advanceScale, float kerningScale, int transformType, FloatBuffer returnedSpacing)`
`static float`
`glGetPathTexGenfNV(int texCoordSet, int pname)`
Overloads glGetPathTexGenfvNV.
`static int`
`glGetPathTexGeniNV(int texCoordSet, int pname)`
Overloads glGetPathTexGenivNV.
`static void`
`glGetPathTexGenNV(int texCoordSet, int pname, FloatBuffer value)`
`static void`
`glGetPathTexGenNV(int texCoordSet, int pname, IntBuffer value)`
`static void`
`glInterpolatePathsNV(int resultPath, int pathA, int pathB, float weight)`
`static boolean`
`glIsPathNV(int path)`
`static boolean`
`glIsPointInFillPathNV(int path, int mask, float x, float y)`
`static boolean`
`glIsPointInStrokePathNV(int path, float x, float y)`
`static void`
`glPathColorGenNV(int color, int genMode, int colorFormat, FloatBuffer coeffs)`
`static void`
`glPathCommandsNV(int path, ByteBuffer commands, int coordType, ByteBuffer coords)`
`static void`
`glPathCoordsNV(int path, int coordType, ByteBuffer coords)`
`static void`
`glPathCoverDepthFuncNV(int zfunc)`
`static void`
`glPathDashArrayNV(int path, FloatBuffer dashArray)`
`static void`
`glPathFogGenNV(int genMode)`
`static void`
`glPathGlyphRangeNV(int firstPathName, int fontTarget, ByteBuffer fontName, int fontStyle, int firstGlyph, int numGlyphs, int handleMissingGlyphs, int pathParameterTemplate, float emScale)`
`static void`
`glPathGlyphsNV(int firstPathName, int fontTarget, ByteBuffer fontName, int fontStyle, int type, ByteBuffer charcodes, int handleMissingGlyphs, int pathParameterTemplate, float emScale)`
`static void`
`glPathParameterfNV(int path, int pname, float value)`
`static void`
`glPathParameteriNV(int path, int pname, int value)`
`static void`
`glPathParameterNV(int path, int pname, FloatBuffer value)`
`static void`
`glPathParameterNV(int path, int pname, IntBuffer value)`
`static void`
`glPathStencilDepthOffsetNV(float factor, int units)`
`static void`
`glPathStencilFuncNV(int func, int ref, int mask)`
`static void`
`glPathStringNV(int path, int format, ByteBuffer pathString)`
`static void`
`glPathSubCommandsNV(int path, int commandStart, int commandsToDelete, ByteBuffer commands, int coordType, ByteBuffer coords)`
`static void`
`glPathSubCoordsNV(int path, int coordStart, int coordType, ByteBuffer coords)`
`static void`
`glPathTexGenNV(int texCoordSet, int genMode, FloatBuffer coeffs)`
`static boolean`
`glPointAlongPathNV(int path, int startSegment, int numSegments, float distance, FloatBuffer x, FloatBuffer y, FloatBuffer tangentX, FloatBuffer tangentY)`
`static void`
`glStencilFillPathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int fillMode, int mask, int transformType, FloatBuffer transformValues)`
`static void`
`glStencilFillPathNV(int path, int fillMode, int mask)`
`static void`
`glStencilStrokePathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int reference, int mask, int transformType, FloatBuffer transformValues)`
`static void`
`glStencilStrokePathNV(int path, int reference, int mask)`
`static void`
`glTransformPathNV(int resultPath, int srcPath, int transformType, FloatBuffer transformValues)`
`static void`
`glWeightPathsNV(int resultPath, IntBuffer paths, FloatBuffer weights)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_CLOSE_PATH_NV

public static final int GL_CLOSE_PATH_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_MOVE_TO_NV

public static final int GL_MOVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_MOVE_TO_NV

public static final int GL_RELATIVE_MOVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_LINE_TO_NV

public static final int GL_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_LINE_TO_NV

public static final int GL_RELATIVE_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_HORIZONTAL_LINE_TO_NV

public static final int GL_HORIZONTAL_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_HORIZONTAL_LINE_TO_NV

public static final int GL_RELATIVE_HORIZONTAL_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_VERTICAL_LINE_TO_NV

public static final int GL_VERTICAL_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_VERTICAL_LINE_TO_NV

public static final int GL_RELATIVE_VERTICAL_LINE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_QUADRATIC_CURVE_TO_NV

public static final int GL_QUADRATIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_QUADRATIC_CURVE_TO_NV

public static final int GL_RELATIVE_QUADRATIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_CUBIC_CURVE_TO_NV

public static final int GL_CUBIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_CUBIC_CURVE_TO_NV

public static final int GL_RELATIVE_CUBIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_SMOOTH_QUADRATIC_CURVE_TO_NV

public static final int GL_SMOOTH_QUADRATIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV

public static final int GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_SMOOTH_CUBIC_CURVE_TO_NV

public static final int GL_SMOOTH_CUBIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV

public static final int GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_SMALL_CCW_ARC_TO_NV

public static final int GL_SMALL_CCW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_SMALL_CCW_ARC_TO_NV

public static final int GL_RELATIVE_SMALL_CCW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_SMALL_CW_ARC_TO_NV

public static final int GL_SMALL_CW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_SMALL_CW_ARC_TO_NV

public static final int GL_RELATIVE_SMALL_CW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_LARGE_CCW_ARC_TO_NV

public static final int GL_LARGE_CCW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_LARGE_CCW_ARC_TO_NV

public static final int GL_RELATIVE_LARGE_CCW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_LARGE_CW_ARC_TO_NV

public static final int GL_LARGE_CW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_LARGE_CW_ARC_TO_NV

public static final int GL_RELATIVE_LARGE_CW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_CIRCULAR_CCW_ARC_TO_NV

public static final int GL_CIRCULAR_CCW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_CIRCULAR_CW_ARC_TO_NV

public static final int GL_CIRCULAR_CW_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_CIRCULAR_TANGENT_ARC_TO_NV

public static final int GL_CIRCULAR_TANGENT_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_ARC_TO_NV

public static final int GL_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_RELATIVE_ARC_TO_NV

public static final int GL_RELATIVE_ARC_TO_NV
Accepted in elements of the <commands> array parameter of PathCommandsNV and PathSubCommandsNV:

See Also:
  - Constant Field Values

### GL_PATH_FORMAT_SVG_NV

public static final int GL_PATH_FORMAT_SVG_NV
Accepted by the <format> parameter of PathStringNV:

See Also:
  - Constant Field Values

### GL_PATH_FORMAT_PS_NV

public static final int GL_PATH_FORMAT_PS_NV
Accepted by the <format> parameter of PathStringNV:

See Also:
  - Constant Field Values

### GL_STANDARD_FONT_NAME_NV

public static final int GL_STANDARD_FONT_NAME_NV
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:

See Also:
  - Constant Field Values

### GL_SYSTEM_FONT_NAME_NV

public static final int GL_SYSTEM_FONT_NAME_NV
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:

See Also:
  - Constant Field Values

### GL_FILE_NAME_NV

public static final int GL_FILE_NAME_NV
Accepted by the <fontTarget> parameter of PathGlyphsNV and PathGlyphRangeNV:

See Also:
  - Constant Field Values

### GL_SKIP_MISSING_GLYPH_NV

public static final int GL_SKIP_MISSING_GLYPH_NV
Accepted by the <handleMissingGlyph> parameter of PathGlyphsNV and PathGlyphRangeNV:

See Also:
  - Constant Field Values

### GL_USE_MISSING_GLYPH_NV

public static final int GL_USE_MISSING_GLYPH_NV
Accepted by the <handleMissingGlyph> parameter of PathGlyphsNV and PathGlyphRangeNV:

See Also:
  - Constant Field Values

### GL_PATH_STROKE_WIDTH_NV

public static final int GL_PATH_STROKE_WIDTH_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_INITIAL_END_CAP_NV

public static final int GL_PATH_INITIAL_END_CAP_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_TERMINAL_END_CAP_NV

public static final int GL_PATH_TERMINAL_END_CAP_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_JOIN_STYLE_NV

public static final int GL_PATH_JOIN_STYLE_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_MITER_LIMIT_NV

public static final int GL_PATH_MITER_LIMIT_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_INITIAL_DASH_CAP_NV

public static final int GL_PATH_INITIAL_DASH_CAP_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_TERMINAL_DASH_CAP_NV

public static final int GL_PATH_TERMINAL_DASH_CAP_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_DASH_OFFSET_NV

public static final int GL_PATH_DASH_OFFSET_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_CLIENT_LENGTH_NV

public static final int GL_PATH_CLIENT_LENGTH_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_DASH_OFFSET_RESET_NV

public static final int GL_PATH_DASH_OFFSET_RESET_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_FILL_MODE_NV

public static final int GL_PATH_FILL_MODE_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_FILL_MASK_NV

public static final int GL_PATH_FILL_MASK_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_FILL_COVER_MODE_NV

public static final int GL_PATH_FILL_COVER_MODE_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_STROKE_COVER_MODE_NV

public static final int GL_PATH_STROKE_COVER_MODE_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_STROKE_MASK_NV

public static final int GL_PATH_STROKE_MASK_NV
Accepted by the <pname> parameter of PathParameterfNV, PathParameterfvNV, GetPathParameterfvNV, PathParameteriNV, PathParameterivNV, and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_END_CAPS_NV

public static final int GL_PATH_END_CAPS_NV
Accepted by the <pname> parameter of PathParameterfNV and PathParameterfvNV:

See Also:
  - Constant Field Values

### GL_PATH_DASH_CAPS_NV

public static final int GL_PATH_DASH_CAPS_NV
Accepted by the <pname> parameter of PathParameterfNV and PathParameterfvNV:

See Also:
  - Constant Field Values

### GL_COUNT_UP_NV

public static final int GL_COUNT_UP_NV
Accepted by the <fillMode> parameter of StencilFillPathNV and StencilFillPathInstancedNV:

See Also:
  - Constant Field Values

### GL_COUNT_DOWN_NV

public static final int GL_COUNT_DOWN_NV
Accepted by the <fillMode> parameter of StencilFillPathNV and StencilFillPathInstancedNV:

See Also:
  - Constant Field Values

### GL_PRIMARY_COLOR

public static final int GL_PRIMARY_COLOR
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:

See Also:
  - Constant Field Values

### GL_PRIMARY_COLOR_NV

public static final int GL_PRIMARY_COLOR_NV
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_NV

public static final int GL_SECONDARY_COLOR_NV
Accepted by the <color> parameter of PathColorGenNV, GetPathColorGenivNV, and GetPathColorGenfvNV:

See Also:
  - Constant Field Values

### GL_PATH_OBJECT_BOUNDING_BOX_NV

public static final int GL_PATH_OBJECT_BOUNDING_BOX_NV
Accepted by the <genMode> parameter of PathColorGenNV and PathTexGenNV:

See Also:
  - Constant Field Values

### GL_CONVEX_HULL_NV

public static final int GL_CONVEX_HULL_NV
Accepted by the <coverMode> parameter of CoverFillPathNV and CoverFillPathInstancedNV:

See Also:
  - Constant Field Values

### GL_BOUNDING_BOX_NV

public static final int GL_BOUNDING_BOX_NV
Accepted by the <coverMode> parameter of CoverFillPathNV and CoverFillPathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSLATE_X_NV

public static final int GL_TRANSLATE_X_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSLATE_Y_NV

public static final int GL_TRANSLATE_Y_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSLATE_2D_NV

public static final int GL_TRANSLATE_2D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSLATE_3D_NV

public static final int GL_TRANSLATE_3D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_AFFINE_2D_NV

public static final int GL_AFFINE_2D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_AFFINE_3D_NV

public static final int GL_AFFINE_3D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSPOSE_AFFINE_2D_NV

public static final int GL_TRANSPOSE_AFFINE_2D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_TRANSPOSE_AFFINE_3D_NV

public static final int GL_TRANSPOSE_AFFINE_3D_NV
Accepted by the <transformType> parameter of StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, and CoverStrokePathInstancedNV:

See Also:
  - Constant Field Values

### GL_UTF8_NV

public static final int GL_UTF8_NV
Accepted by the <type> or <pathNameType> parameter of CallLists, StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, CoverStrokePathInstancedNV, GetPathMetricsNV, and GetPathSpacingNV:

See Also:
  - Constant Field Values

### GL_UTF16_NV

public static final int GL_UTF16_NV
Accepted by the <type> or <pathNameType> parameter of CallLists, StencilFillPathInstancedNV, StencilStrokePathInstancedNV, CoverFillPathInstancedNV, CoverStrokePathInstancedNV, GetPathMetricsNV, and GetPathSpacingNV:

See Also:
  - Constant Field Values

### GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV

public static final int GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV
Accepted by the <coverMode> parameter of CoverFillPathInstancedNV:

See Also:
  - Constant Field Values

### GL_PATH_COMMAND_COUNT_NV

public static final int GL_PATH_COMMAND_COUNT_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_COORD_COUNT_NV

public static final int GL_PATH_COORD_COUNT_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_DASH_ARRAY_COUNT_NV

public static final int GL_PATH_DASH_ARRAY_COUNT_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_COMPUTED_LENGTH_NV

public static final int GL_PATH_COMPUTED_LENGTH_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_FILL_BOUNDING_BOX_NV

public static final int GL_PATH_FILL_BOUNDING_BOX_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_PATH_STROKE_BOUNDING_BOX_NV

public static final int GL_PATH_STROKE_BOUNDING_BOX_NV
Accepted by the <pname> parameter of GetPathParameterfvNV and GetPathParameterivNV:

See Also:
  - Constant Field Values

### GL_SQUARE_NV

public static final int GL_SQUARE_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:

See Also:
  - Constant Field Values

### GL_ROUND_NV

public static final int GL_ROUND_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:

See Also:
  - Constant Field Values

### GL_TRIANGULAR_NV

public static final int GL_TRIANGULAR_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is one of PATH_END_CAPS_NV, PATH_INTIAL_END_CAP_NV, PATH_TERMINAL_END_CAP_NV, PATH_DASH_CAPS_NV, PATH_INITIAL_DASH_CAP_NV, and PATH_TERMINAL_DASH_CAP_NV:

See Also:
  - Constant Field Values

### GL_BEVEL_NV

public static final int GL_BEVEL_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:

See Also:
  - Constant Field Values

### GL_MITER_REVERT_NV

public static final int GL_MITER_REVERT_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:

See Also:
  - Constant Field Values

### GL_MITER_TRUNCATE_NV

public static final int GL_MITER_TRUNCATE_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_JOIN_STYLE_NV:

See Also:
  - Constant Field Values

### GL_MOVE_TO_RESETS_NV

public static final int GL_MOVE_TO_RESETS_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_DASH_OFFSET_RESET_NV

See Also:
  - Constant Field Values

### GL_MOVE_TO_CONTINUES_NV

public static final int GL_MOVE_TO_CONTINUES_NV
Accepted by the <value> parameter of PathParameterfNV, PathParameterfvNV, PathParameteriNV, and PathParameterivNV when <pname> is PATH_DASH_OFFSET_RESET_NV

See Also:
  - Constant Field Values

### GL_BOLD_BIT_NV

public static final int GL_BOLD_BIT_NV
Accepted by the <fontStyle> parameter of PathStringNV:

See Also:
  - Constant Field Values

### GL_ITALIC_BIT_NV

public static final int GL_ITALIC_BIT_NV
Accepted by the <fontStyle> parameter of PathStringNV:

See Also:
  - Constant Field Values

### GL_PATH_ERROR_POSITION_NV

public static final int GL_PATH_ERROR_POSITION_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_FOG_GEN_MODE_NV

public static final int GL_PATH_FOG_GEN_MODE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_STENCIL_FUNC_NV

public static final int GL_PATH_STENCIL_FUNC_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_STENCIL_REF_NV

public static final int GL_PATH_STENCIL_REF_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_STENCIL_VALUE_MASK_NV

public static final int GL_PATH_STENCIL_VALUE_MASK_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV

public static final int GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV

public static final int GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PATH_COVER_DEPTH_FUNC_NV

public static final int GL_PATH_COVER_DEPTH_FUNC_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_GLYPH_WIDTH_BIT_NV

public static final int GL_GLYPH_WIDTH_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_HEIGHT_BIT_NV

public static final int GL_GLYPH_HEIGHT_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV

public static final int GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV

public static final int GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV

public static final int GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_VERTICAL_BEARING_X_BIT_NV

public static final int GL_GLYPH_VERTICAL_BEARING_X_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV

public static final int GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV

public static final int GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_GLYPH_HAS_KERNING_NV

public static final int GL_GLYPH_HAS_KERNING_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_X_MIN_BOUNDS_NV

public static final int GL_FONT_X_MIN_BOUNDS_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_Y_MIN_BOUNDS_NV

public static final int GL_FONT_Y_MIN_BOUNDS_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_X_MAX_BOUNDS_NV

public static final int GL_FONT_X_MAX_BOUNDS_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_Y_MAX_BOUNDS_NV

public static final int GL_FONT_Y_MAX_BOUNDS_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_UNITS_PER_EM_NV

public static final int GL_FONT_UNITS_PER_EM_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_ASCENDER_NV

public static final int GL_FONT_ASCENDER_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_DESCENDER_NV

public static final int GL_FONT_DESCENDER_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_HEIGHT_NV

public static final int GL_FONT_HEIGHT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_MAX_ADVANCE_WIDTH_NV

public static final int GL_FONT_MAX_ADVANCE_WIDTH_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_MAX_ADVANCE_HEIGHT_NV

public static final int GL_FONT_MAX_ADVANCE_HEIGHT_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_UNDERLINE_POSITION_NV

public static final int GL_FONT_UNDERLINE_POSITION_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_UNDERLINE_THICKNESS_NV

public static final int GL_FONT_UNDERLINE_THICKNESS_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_FONT_HAS_KERNING_NV

public static final int GL_FONT_HAS_KERNING_NV
Accepted as a bit within the <metricQueryMask> parameter of GetPathMetricRangeNV or GetPathMetricsNV:

See Also:
  - Constant Field Values

### GL_ACCUM_ADJACENT_PAIRS_NV

public static final int GL_ACCUM_ADJACENT_PAIRS_NV
Accepted by the <pathListMode> parameter of GetPathSpacingNV:

See Also:
  - Constant Field Values

### GL_ADJACENT_PAIRS_NV

public static final int GL_ADJACENT_PAIRS_NV
Accepted by the <pathListMode> parameter of GetPathSpacingNV:

See Also:
  - Constant Field Values

### GL_FIRST_TO_REST_NV

public static final int GL_FIRST_TO_REST_NV
Accepted by the <pathListMode> parameter of GetPathSpacingNV:

See Also:
  - Constant Field Values

### GL_PATH_GEN_MODE_NV

public static final int GL_PATH_GEN_MODE_NV
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:

See Also:
  - Constant Field Values

### GL_PATH_GEN_COEFF_NV

public static final int GL_PATH_GEN_COEFF_NV
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:

See Also:
  - Constant Field Values

### GL_PATH_GEN_COLOR_FORMAT_NV

public static final int GL_PATH_GEN_COLOR_FORMAT_NV
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:

See Also:
  - Constant Field Values

### GL_PATH_GEN_COMPONENTS_NV

public static final int GL_PATH_GEN_COMPONENTS_NV
Accepted by the <pname> parameter of GetPathColorGenivNV, GetPathColorGenfvNV, GetPathTexGenivNV and GetPathTexGenfvNV:

See Also:
  - Constant Field Values

## Method Details

### glPathCommandsNV

public static void glPathCommandsNV(int path, ByteBuffer commands, int coordType, ByteBuffer coords)

### glPathCoordsNV

public static void glPathCoordsNV(int path, int coordType, ByteBuffer coords)

### glPathSubCommandsNV

public static void glPathSubCommandsNV(int path, int commandStart, int commandsToDelete, ByteBuffer commands, int coordType, ByteBuffer coords)

### glPathSubCoordsNV

public static void glPathSubCoordsNV(int path, int coordStart, int coordType, ByteBuffer coords)

### glPathStringNV

public static void glPathStringNV(int path, int format, ByteBuffer pathString)

### glPathGlyphsNV

public static void glPathGlyphsNV(int firstPathName, int fontTarget, ByteBuffer fontName, int fontStyle, int type, ByteBuffer charcodes, int handleMissingGlyphs, int pathParameterTemplate, float emScale)

### glPathGlyphRangeNV

public static void glPathGlyphRangeNV(int firstPathName, int fontTarget, ByteBuffer fontName, int fontStyle, int firstGlyph, int numGlyphs, int handleMissingGlyphs, int pathParameterTemplate, float emScale)

### glWeightPathsNV

public static void glWeightPathsNV(int resultPath, IntBuffer paths, FloatBuffer weights)

### glCopyPathNV

public static void glCopyPathNV(int resultPath, int srcPath)

### glInterpolatePathsNV

public static void glInterpolatePathsNV(int resultPath, int pathA, int pathB, float weight)

### glTransformPathNV

public static void glTransformPathNV(int resultPath, int srcPath, int transformType, FloatBuffer transformValues)

### glPathParameterNV

public static void glPathParameterNV(int path, int pname, IntBuffer value)

### glPathParameteriNV

public static void glPathParameteriNV(int path, int pname, int value)

### glPathParameterNV

public static void glPathParameterNV(int path, int pname, FloatBuffer value)

### glPathParameterfNV

public static void glPathParameterfNV(int path, int pname, float value)

### glPathDashArrayNV

public static void glPathDashArrayNV(int path, FloatBuffer dashArray)

### glGenPathsNV

public static int glGenPathsNV(int range)

### glDeletePathsNV

public static void glDeletePathsNV(int path, int range)

### glIsPathNV

public static boolean glIsPathNV(int path)

### glPathStencilFuncNV

public static void glPathStencilFuncNV(int func, int ref, int mask)

### glPathStencilDepthOffsetNV

public static void glPathStencilDepthOffsetNV(float factor, int units)

### glStencilFillPathNV

public static void glStencilFillPathNV(int path, int fillMode, int mask)

### glStencilStrokePathNV

public static void glStencilStrokePathNV(int path, int reference, int mask)

### glStencilFillPathInstancedNV

public static void glStencilFillPathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int fillMode, int mask, int transformType, FloatBuffer transformValues)

### glStencilStrokePathInstancedNV

public static void glStencilStrokePathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int reference, int mask, int transformType, FloatBuffer transformValues)

### glPathCoverDepthFuncNV

public static void glPathCoverDepthFuncNV(int zfunc)

### glPathColorGenNV

public static void glPathColorGenNV(int color, int genMode, int colorFormat, FloatBuffer coeffs)

### glPathTexGenNV

public static void glPathTexGenNV(int texCoordSet, int genMode, FloatBuffer coeffs)

### glPathFogGenNV

public static void glPathFogGenNV(int genMode)

### glCoverFillPathNV

public static void glCoverFillPathNV(int path, int coverMode)

### glCoverStrokePathNV

public static void glCoverStrokePathNV(int name, int coverMode)

### glCoverFillPathInstancedNV

public static void glCoverFillPathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int coverMode, int transformType, FloatBuffer transformValues)

### glCoverStrokePathInstancedNV

public static void glCoverStrokePathInstancedNV(int pathNameType, ByteBuffer paths, int pathBase, int coverMode, int transformType, FloatBuffer transformValues)

### glGetPathParameterNV

public static void glGetPathParameterNV(int name, int param, IntBuffer value)

### glGetPathParameteriNV

public static int glGetPathParameteriNV(int name, int param)
Overloads glGetPathParameterivNV.

### glGetPathParameterfvNV

public static void glGetPathParameterfvNV(int name, int param, FloatBuffer value)

### glGetPathParameterfNV

public static float glGetPathParameterfNV(int name, int param)
Overloads glGetPathParameterfvNV.

### glGetPathCommandsNV

public static void glGetPathCommandsNV(int name, ByteBuffer commands)

### glGetPathCoordsNV

public static void glGetPathCoordsNV(int name, FloatBuffer coords)

### glGetPathDashArrayNV

public static void glGetPathDashArrayNV(int name, FloatBuffer dashArray)

### glGetPathMetricsNV

public static void glGetPathMetricsNV(int metricQueryMask, int pathNameType, ByteBuffer paths, int pathBase, int stride, FloatBuffer metrics)

### glGetPathMetricRangeNV

public static void glGetPathMetricRangeNV(int metricQueryMask, int fistPathName, int numPaths, int stride, FloatBuffer metrics)

### glGetPathSpacingNV

public static void glGetPathSpacingNV(int pathListMode, int pathNameType, ByteBuffer paths, int pathBase, float advanceScale, float kerningScale, int transformType, FloatBuffer returnedSpacing)

### glGetPathColorGenNV

public static void glGetPathColorGenNV(int color, int pname, IntBuffer value)

### glGetPathColorGeniNV

public static int glGetPathColorGeniNV(int color, int pname)
Overloads glGetPathColorGenivNV.

### glGetPathColorGenNV

public static void glGetPathColorGenNV(int color, int pname, FloatBuffer value)

### glGetPathColorGenfNV

public static float glGetPathColorGenfNV(int color, int pname)
Overloads glGetPathColorGenfvNV.

### glGetPathTexGenNV

public static void glGetPathTexGenNV(int texCoordSet, int pname, IntBuffer value)

### glGetPathTexGeniNV

public static int glGetPathTexGeniNV(int texCoordSet, int pname)
Overloads glGetPathTexGenivNV.

### glGetPathTexGenNV

public static void glGetPathTexGenNV(int texCoordSet, int pname, FloatBuffer value)

### glGetPathTexGenfNV

public static float glGetPathTexGenfNV(int texCoordSet, int pname)
Overloads glGetPathTexGenfvNV.

### glIsPointInFillPathNV

public static boolean glIsPointInFillPathNV(int path, int mask, float x, float y)

### glIsPointInStrokePathNV

public static boolean glIsPointInStrokePathNV(int path, float x, float y)

### glGetPathLengthNV

public static float glGetPathLengthNV(int path, int startSegment, int numSegments)

### glPointAlongPathNV

public static boolean glPointAlongPathNV(int path, int startSegment, int numSegments, float distance, FloatBuffer x, FloatBuffer y, FloatBuffer tangentX, FloatBuffer tangentY)